Bug 1080453 - file: incorrectly applied magic/Magdir patch [rhel-6]
Summary: file: incorrectly applied magic/Magdir patch [rhel-6]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: file
Version: 6.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Jan Kaluža
QA Contact: Marek Marusic
URL:
Whiteboard:
: 1254980 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-25 13:20 UTC by Tomas Hoger
Modified: 2016-05-10 19:46 UTC (History)
4 users (show)

Fixed In Version: file-5.04-22.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 1080450
Environment:
Last Closed: 2016-05-10 19:46:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0760 normal SHIPPED_LIVE Moderate: file security, bug fix, and enhancement update 2016-05-10 22:32:51 UTC

Description Tomas Hoger 2014-03-25 13:20:50 UTC
+++ This bug was initially created as a clone of Bug #1080450 +++

Description of problem:
The way patches are applied to files in magic/Magdir is rather fragile.  While %patch is run without -b (as also noted in .spec: Don't use -b -- it will lead to poblems when compiling magic file!), for any patch that fails to apply cleanly, .orig backup file is still created.  This leads to having both patched and unpatched rules in resulting /usr/share/magic file.

Currently, file-5.04-generic-msdos.patch is misapplied:

http://kojipkgs.fedoraproject.org/packages/file/5.14/20.fc20/data/logs/x86_64/build.log

+ echo 'Patch #6 (file-5.04-generic-msdos.patch):'
Patch #6 (file-5.04-generic-msdos.patch):
+ /usr/bin/cat /builddir/build/SOURCES/file-5.04-generic-msdos.patch
+ /usr/bin/patch -p1 --fuzz=0
patching file magic/Magdir/msdos
Hunk #1 succeeded at 320 (offset 1 line).
Hunk #2 succeeded at 397 (offset 1 line).
Hunk #3 succeeded at 438 (offset 1 line).

Resulting /usr/share/magic contains both patched and unpatched rules.

Version-Release number of selected component (if applicable):
file-5.14-20.fc20

Comment 1 Tomas Hoger 2014-03-25 13:21:57 UTC
There are few more in RHEL-6:

magic/Magdir/linux.orig
magic/Magdir/misctools.orig
magic/Magdir/msdos.orig
magic/Magdir/python.orig
magic/Magdir/rpm.orig

Most of them seem to add new rules rather than remove existing, as is the case for file-5.04-generic-msdos.patch.

Comment 6 Stanislav Zidek 2015-10-13 08:28:24 UTC
*** Bug 1254980 has been marked as a duplicate of this bug. ***

Comment 12 errata-xmlrpc 2016-05-10 19:46:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-0760.html


Note You need to log in before you can comment on or make changes to this bug.